Skip to main content
POST
Create a contact for a campaign

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Path Parameters

campaignId
string
required

Query Parameters

fixUSPhoneNumber
boolean

Will add 1 to the phone number if it doesn't starts with 1

ignorePhoneNumberValidation
boolean

Skip phone number validation for contacts

Body

application/json
name
string
required
Minimum string length: 1
data
object
required
phoneNumber
string
Required string length: 7 - 20
Pattern: ^\+?[\d()-]+$
phoneNumbers
string[]
Required string length: 7 - 20
Pattern: ^\+?[\d()-]+$
timezone
string
archived
boolean
default:false

Response

contactId
string
required

ID of the created or updated contact.

created
boolean
required

True if a new contact was created.

modified
boolean
required

True if an existing contact was modified.